kind: pipeline
type: docker
name: CI
 
trigger:
  event:
    - push

steps:
  - name: build
    image: mcr.microsoft.com/dotnet/sdk:6.0
    volumes:
      - name: docs
        path: /docs
    commands:
      #- dotnet new tool-manifest
      #- dotnet tool install --version 5.3.1 Swashbuckle.AspNetCore.Cli
      - dotnet restore Exemples_coreOnly.sln
      - dotnet build Exemples_coreOnly.sln -c Release --no-restore
      - dotnet publish Exemples_coreOnly.sln -c Release --no-restore -o $CI_PROJECT_DIR/build/release

  # La documentation Doxygen doit être dans le répertoire 
  # Documentation/doxygen 
  # avec le ficher
  # Documentation/doxygen/Doxyfile contenant
  # OUTPUT_DIRECTORY = /docs/doxygen
  - name: generate-and-deploy-docs
    image: hub.codefirst.iut.uca.fr/thomas.bellembois/codefirst-docdeployer
    volumes:
      - name: docs
        path: /docs
    commands:
      - /entrypoint.sh
    when:
      branch:
        - master
    depends_on: [ build ]

volumes:
- name: docs
  temp: {}